Bug 151793 - external usb disk becomes unusable after transferring large files to it
external usb disk becomes unusable after transferring large files to it
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Jones
Brian Brock
Depends On:
  Show dependency treegraph
Reported: 2005-03-22 09:02 EST by Nicholas Allen
Modified: 2015-01-04 17:17 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2005-10-02 20:05:13 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Nicholas Allen 2005-03-22 09:02:10 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.6) Gecko/20050302 Firefox/1.0.1 Fedora/1.0.1-1.3.2

Description of problem:
I can mount my USB external disk drive with no problems under Linux. However, if I transfer a large amount of data (eg > 1 GB) then the hard drive becomes unusable and is then automatically unmounted from the system. 

After seraching on the internet I found that many people are experiencing the exact same problem: http://kerneltrap.org/node/3844

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
Plug in external usb 2.0 disk
Copy large files to it (eg contents of a DVD movie)

Actual Results:  After a period of time the drive becomes unusable and the copying of files cannot be completed. The hard drive sometimes gets automatically unmounted.

Expected Results:  Should be able to copy files to an external USB 2.0 disk.

Additional info:
Comment 1 Sitsofe Wheeler 2005-03-22 15:19:59 EST
What version of the kernel is running? (uname -r)
Comment 2 Nicholas Allen 2005-03-23 14:33:03 EST
I have used all 2.6 kernels and the same bug appears in all. I just tried with compiled from source code and the bug is still there. The same 
problem with 2.6.9 and 2.6.10. 
It happens with all RPM versions of the kernel and the one distributed with 
fedora core 3. 
Comment 3 Dave Jones 2005-03-23 16:03:54 EST
if it happens with the upstream kernel too I'd suggest reporting this upstream
to either the linux-usb-users list, and/or linux-kernel.
Comment 4 Dave Jones 2005-07-15 15:26:37 EDT
An update has been released for Fedora Core 3 (kernel-2.6.12-1.1372_FC3) which
may contain a fix for your problem.   Please update to this new kernel, and
report whether or not it fixes your problem.

If you have updated to Fedora Core 4 since this bug was opened, and the problem
still occurs with the latest updates for that release, please change the version
field of this bug to 'fc4'.

Thank you.
Comment 5 Dave Jones 2005-10-02 20:05:13 EDT
This bug has been automatically closed as part of a mass update.
It had been in NEEDINFO state since July 2005.
If this bug still exists in current errata kernels, please reopen this bug.

There are a large number of inactive bugs in the database, and this is the only
way to purge them.

Thank you.

Note You need to log in before you can comment on or make changes to this bug.